> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1consumers



## OpenAPI

````yaml https://consumer-ms.supergasbras.app/swagger/v1/swagger.json get /v1/consumers/{consumerId}
openapi: 3.0.1
info:
  title: CTech Consumer
  description: Service responsible for handling Consumer version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/consumers/{consumerId}:
    get:
      tags:
        - Consumers
      parameters:
        - name: consumerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: api-version
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````